## Package Win32::GUI::Rebar

Back to the Packages

- Constructor

  - new Win32::GUI::Rebar(PARENT, %OPTIONS)

- Methods

  - BandCount()

  - BandInfo(INDEX)

  - DeleteBand(INDEX)

  - InsertBand(%OPTIONS)

  - MaximizeBand(INDEX, [FLAG])

  - MinimizeBand(INDEX)

  - RowCount()

- Events

  - HeightChange()

### Constructor

new Win32::GUI::Rebar(PARENT, %OPTIONS)

  Creates a new Rebar object; can also be called as PARENT->AddRebar(%OPTIONS). Class specific `%OPTIONS` are:

        -bandborders => 0/1 (default 0)
          display a border to separate bands.
        -fixedorder => 0/1 (default 0)
          band position cannot be swapped.
        -imagelist => Win32::GUI::ImageList object
        -varheight => 0/1 (default 1)
          display bands using the minimum required height.

### Methods

BandCount()

  [TBD]

BandInfo(INDEX)

  [TBD]

DeleteBand(INDEX)

  [TBD]

InsertBand(%OPTIONS)

  [TBD]

MaximizeBand(INDEX, [FLAG])

  [TBD]

MinimizeBand(INDEX)

  [TBD]

RowCount()

  [TBD]

### Events

HeightChange()

  Sent when the height of the Rebar control has changed.